xxQS_NAME_Sxx_COMMD(8)

NAME
xxqs_name_sxx_commd - xxQS_NAMExx communication agent

SYNOPSIS
xxqs_name_sxx_commd [ -S ] [ -a aliasfile ] [ -dhr ] [ -help ] [ -ll loglevel ] [ -ml fname ] [ -nd ] [ -p port ] [ -s service ]

DESCRIPTION
All network communication in a xxQS_NAMExx cluster is performed via the communication daemons xxqs_name_sxx_commd. Client programs like or as well as xxQS_NAMExx daemons such as or use the service provided by xxqs_name_sxx_commd in order to send/receive messages to/from other xxQS_NAMExx components.

xxqs_name_sxx_commd handles an arbitrary number of concurrent synchronous or asynchronous communications. Usually one xxqs_name_sxx_commd is started up automatically on each host on which or/and are invoked. It is however possible to connect multiple hosts via one xxqs_name_sxx_commd or to use a xxqs_name_sxx_commd on a submit or administrative xxQS_NAMExx host (without running one of the other xxQS_NAMExx daemons) as communication agent for the xxQS_NAMExx client programs invoked from that host.

OPTIONS

-S  Forces secure ports to be used for communication between xxqs_name_sxx_commds and between other xxQS_NAMExx components and the xxqs_name_sxx_commds. This requires all xxQS_NAMExx daemons to be started with root permission and the client programs to be configured set-uid root. In turn, it ensures that unauthorized communication is prohibited for non-root accounts.

-a aliasfile
    A file containing xxQS_NAMExx host aliases used by the xxqs_name_sxx_commd to resolve xxQS_NAMExx unique hostnames for all hosts in the cluster. Overrides the usage of the default host_aliases file under <xxqs_name_sxx_root>/<cell>/common/host_aliases. The hostname resolving service of xxqs_name_sxx_commd is also used by all other xxQS_NAMExx components. The file format and the implication of its usage are described in

-dhr
    The hostname resolving C-library functions (such as and perform some kind of caching on some OS architectures. Network wide hostname databases distributed by services such as DNS (Domain Name Service) and NIS (Network Information Service) are updated with a delay of several minutes. This only affects applications which repeatedly resolve hostnames (such as xxqs_name_sxx_commd). At start-up of a program the most recent information is accessed, thus commands like or are not affected.
    However, for xxqs_name_sxx_commd it makes no sense to resolve hostnames anytime (the returned information may be out of date anyway) and resolving can be an expensive operation if the network is overloaded and/or NIS or DNS servers are very busy. Therefore, xxqs_name_sxx_commd resolves hostname information from time to time only.
    Yet, if hostname resolving still causes problems due to network load, for example, it can be turned off with the -dhr switch. The administrator has to be aware, that if the hostname resolving is turned off, xxqs_name_sxx_commd has to be restarted as soon as the hostname databases change significantly.

-help
    Prints a listing of all options.

-ll loglevel
    Sets a logging level for error tracing. The error trace information is written to the file /tmp/commd/err.<pid>. However, the directory /tmp/commd must be present, otherwise the tracing output is discarded. At present, 255 is the only valid logging level.

-ml fname
    Enables message logging to file.

-nd Do not daemonize. If started with -nd, xxqs_name_sxx_commd maintains its connection to the controlling terminal and thus outputs trace information directly to the terminal from which xxqs_name_sxx_commd was invoked. The trace information is the same as being accessible via the -ll option (see above).

-p port_number
    Use this TCP port for communication with other commds.

-s service_name
    Use this service name and thus the associated TCP port for communication with other commds.

ENVIRONMENTAL VARIABLES

xxQS_NAME_Sxx_ROOT
    Specifies the location of the xxQS_NAMExx standard configuration files.

COMMD_PORT
    If set, specifies the tcp port on which xxqs_name_sxx_commd is expected to listen for communication requests. Most installations will use a services map entry instead to define that port.

COMMD_HOST
    (Does not affect the behavior of xxqs_name_sxx_commd but of the other xxQS_NAMExx components contacting xxqs_name_sxx_commd.) If set, specifies the host on which the particular xxqs_name_sxx_commd to be used for xxQS_NAMExx communication of arbitrary xxQS_NAMExx client programs or daemons resides. Per default the local host is used.

RESTRICTIONS
xxqs_name_sxx_commd usually is invoked by a starting and and thus is running under root permission. If started by a normal user the -S switch may not be used as the secure mode requires root permission (see above).

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.